<?php

namespace MauticPlugin\MauticDisparoProBundle\Integration;

use Mautic\PluginBundle\Integration\AbstractIntegration;

/**
 * Class DisparoProIntegration.
 */
class DisparoProIntegration extends AbstractIntegration
{
    public function __construct() {

        $localDestino = __DIR__.'/../../../app/bundles/SmsBundle/Helper/';
        if (!file_exists($localDestino.'/SmsHelper.bkp.php')) {
            if (copy($localDestino.'SmsHelper.php', $localDestino.'SmsHelper.bkp.php')) {
                if( copy(__DIR__.'/../Helper/DisparoProSmsHelper.php', $localDestino.'/SmsHelper.php') ) { }
            }
        } else {
            if( copy(__DIR__.'/../Helper/DisparoProSmsHelper.php', $localDestino.'/SmsHelper.php') ) { }
        }
    }

    public function getName()
    {
        return 'DisparoPro';
    }

    public function getDisplayName()
    {
        return 'Disparo Pro';
    }

    public function getIcon()
    {
        return 'plugins/MauticDisparoProBundle/Assets/img/disparopro.png';
    }

    public function getSecretKeys()
    {
        return ['auth_token'];
    }

    /**
     * {@inheritdoc}
     *
     * @return array
     */
    public function getRequiredKeyFields()
    {
        return [
            'auth_token' => 'mautic.plugin.disparopro.auth_token',
            'sms_type' => 'mautic.plugin.disparopro.sms_type',
            'codification_type' => 'mautic.plugin.disparopro.codification_type',
            'prefix' => 'mautic.plugin.disparopro.prefix',
        ];
    }

    /**
     * @return array
     */
    public function getFormSettings()
    {
        return [
            'requires_callback'      => false,
            'requires_authorization' => false,
        ];
    }

    /**
     * {@inheritdoc}
     *
     * @return string
     */
    public function getAuthenticationType()
    {
        return 'none';
    }

    /**
     * @param \Mautic\PluginBundle\Integration\Form|FormBuilder $builder
     * @param array                                             $data
     * @param string                                            $formArea
     */
    public function appendToForm(&$builder, $data, $formArea)
    { }
}
